/*
 * TestFargeknappVindu2.java  E.L. 2004-02-15
 *
 * Filen inneholder tre klasser:
 * Fargeknapp2Vindu: Et vindu med en knapp som endrer farge
 * nr den blir trykket p
 * Knappelytter: Indre klasse som hndterer den hendelsen at
 * brukeren trykker p knappen
 * TestFargeknappVindu2: main()-metode som viser fram vinduet
 */

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

class FargeknappVindu2 extends JFrame {
  private JButton knapp = new JButton("Trykk her");

  public FargeknappVindu2(String tittel) {
    setTitle(tittel);
    setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);

    setLayout(new FlowLayout());
    knapp.setBackground(Color.red); // startfargen
    add(knapp);
    Knappelytter knappelytteren = new Knappelytter();
    knapp.addActionListener(knappelytteren);
    pack();
  }

  private class Knappelytter implements ActionListener {
    public void actionPerformed(ActionEvent hendelse) {
      Color farge = knapp.getBackground();
      if (farge == Color.red) knapp.setBackground(Color.blue);
      else knapp.setBackground(Color.red);
    }
  }
}

class TestFargeknappVindu2 {
  public static void main(String[] args) {
    FargeknappVindu2 etVindu = new FargeknappVindu2("Et vindu med en knapp");
    etVindu.setVisible(true);
  }
}