/*
 * ListeElement.java VBH 2004-02-26
 *
 * Klassen er et element i en enkeltlenket liste.
 *
 */
class ListeElement<Type> {
  private ListeElement<Type> neste;
  private Type element;

  public ListeElement(Type startElement) {
    element = startElement;
    neste = null;
  }

  public ListeElement(Type startElement, ListeElement<Type> startNeste) {
    element = startElement;
    neste = startNeste;
  }

  public Type finnElement() {
    return element;
  }

  public ListeElement<Type> finnNeste() {
    return neste;
  }

  public void settElement(Type nyttElement) {
    element = nyttElement;
  }

  public void settNeste(ListeElement<Type> nyNeste) {
    neste = nyNeste;
  }
}
