/*
 * Parameter.java VBH 2004-02-26
 *
 * Applet som demonstrerer hvordan parametre fra HTML-dokumentet brukes
 *
 * Filen inneholder to klasser:
 * Parameter: Selve appleten
 * Tegning: Tegneflaten til appleten
 */

import java.awt.*;
import javax.swing.*;

public class Parameter extends JApplet {
  private String navn;
  private String telefon;

  public void init() {
    navn = getParameter("navn");
    telefon = getParameter("telefon");
    add(new Tegning(navn, telefon));
  }
}

/*
 * Dette JPanel-et fr beskjed via konstruktrens argumentliste om de parametrene
 * som appleten har ftt.
 */
class Tegning extends JPanel {
  private String navn;
  private String telefon;

  public Tegning(String appletensNavn, String appletensTelefon) {
    navn = appletensNavn;
    telefon = appletensTelefon;
  }

  public void paintComponent(Graphics g) {
    super.paintComponent(g);
    g.drawString("Navn som ble sendt inn i denne appleten, er: " + navn, 5, 50);
    g.drawString("Telefonnummer som ble sendt inn i denne appleten, er: " + telefon, 5, 65);
  }
}
