/*
 * TestTreLag.java   E.L. 2004-03-01
 *
 * Kontakter databasen via fjernobjekt og databasepool.
 */

import java.rmi.Naming;
import java.util.ArrayList;
import mittBibliotek.database.Database;
import mittBibliotek.database.DbWrapperFabrikk;
import mittBibliotek.Person;

class TestTreLag {
  public static void main(String[] args) throws Exception {
    DbWrapperFabrikk dbForb = (DbWrapperFabrikk) Naming.lookup("rmi://localhost/Persondatabase");
    Database db = dbForb.lagDbWrapper();
    ArrayList<Person> alle = db.finnAlle();
    for (Person p : alle) System.out.println(p);
  }
}

/*
Utskrift p tjenersiden:
select persnr, initcap(fornavn) as fn, initcap(etternavn) as en from person
order by etternavn, fornavn
Reserverer forbindelse 0
Frigir forbindelse 0.

Utskrift p klientsiden:
102: Hansen, Jonny
100: Hansen, Ole
101: s, Anne Grethe
*/