/*
 * DatoFormatering.java   E.L. 2004-02-18
 *
 * Programmet skriver ut tidspunktet i det programmet kjrer.
 */

import java.util.Date;
import java.text.DateFormat;
class DatoFormatering {
  public static void main(String[] args) {

    Date n = new Date();  // objektet inneholder informasjon om dato og klokkeslett

    /* Viser datoen p to forskjellige mter */
    DateFormat dFormatShort = DateFormat.getDateInstance(DateFormat.SHORT);
    DateFormat dFormatLong = DateFormat.getDateInstance(DateFormat.LONG);
    System.out.println("Dato, format SHORT: " + dFormatShort.format(n));
    System.out.println("Dato, format LONG: " + dFormatLong.format(n));

    /* Viser klokkeslettet p to forskjellige mter */
    DateFormat tFormatShort = DateFormat.getTimeInstance(DateFormat.SHORT);
    DateFormat tFormatLong = DateFormat.getTimeInstance(DateFormat.FULL);
    System.out.println("Klokkeslett, format SHORT: " + tFormatShort.format(n));
    System.out.println("Klokkeslett, format LONG: " + tFormatLong.format(n));
  }
}

/* Kjring av programmet:
Dato, format SHORT: 18.02.04
Dato, format LONG: 18. februar 2004
Klokkeslett, format SHORT: 10:46:26
Klokkeslett, format LONG: kl 10.46 CET
*/
