/*
 * TallFormatering.java   E.L. 2004-02-18
 *
 * Programmet skriver ut et desimaltall i hht svensk lokalisering.
 */

import java.util.Locale;
import java.text.NumberFormat;
class TallFormatering {
  public static void main(String[] args) {
    Locale svensk = new Locale("sv", "SE");
    Locale.setDefault(svensk);
    double tall = 0.757;
    NumberFormat tallformat = NumberFormat.getNumberInstance();
    NumberFormat prosentformat = NumberFormat.getPercentInstance();
    NumberFormat pengeformat = NumberFormat.getCurrencyInstance();
    System.out.println("Som desimaltall: " + tallformat.format(tall));
    System.out.println("Som prosent: " + prosentformat.format(tall));
    System.out.println("Som belp: " + pengeformat.format(tall));
  }
}

/* Kjring av programmet:
Som desimaltall: 0,757
Som prosent: 76%
Som belp: 0,76 kr
*/
