/*
 * FargeDemo.java   E.L. 2004-02-10
 *
 * Filen inneholder tre klasser:
 * Vindu: Et vindu med en tegning
 * Tegning: En tegning der vi prver ut metodene brighter() og darker()
 * FargeDemo: main()-metode som viser fram vinduet med tegningen
 */

import java.awt.*;  // klassene Color og Graphics
import javax.swing.*; // klassene JFrame og JPanel

class Vindu extends JFrame {
  public Vindu(String tittel) {
    setTitle(tittel);
    setSize(500, 250); // bredde, hyde
    setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
    Tegning tegningen = new Tegning();
    add(tegningen);
  }
}

class Tegning extends JPanel {
  public void paintComponent(Graphics tegneflate) {
    super.paintComponent(tegneflate);
    tegneflate.drawString("Fargen gr, som frst blir lysere, deretter mrkere", 40, 30);
    Color farge = Color.gray;
    tegneflate.setColor(farge);
    tegneflate.fillRect(40, 50, 20, 120);
    farge = farge.brighter();
    tegneflate.setColor(farge);
    tegneflate.fillRect(60, 50, 20, 120);
    farge = farge.brighter();
    tegneflate.setColor(farge);
    tegneflate.fillRect(80, 50, 20, 120);
    farge = farge.darker();
    tegneflate.setColor(farge);
    tegneflate.fillRect(100, 50, 20, 120);
    farge = farge.darker();
    tegneflate.setColor(farge);
    tegneflate.fillRect(120, 50, 20, 120);
  }
}

class FargeDemo {
  public static void main(String[] args) {
    Vindu etVindu = new Vindu("Farger i forskjellige nyanser");
    etVindu.setVisible(true);
  }
}