/*
 * Kalkulator.java   E.L. 2002-07-18
 *
 * Klassen beskriver et objekt som inneholder to tall.
 * Tallene kan adderes, subtraheres, multipliseres og divideres.
 * Du finner testprogram som lsning til oppgave 1 etter dette delkapitlet.
 * Ellers finner du klientprogram i programlistene 5.2 og 5.3.
 */

class Kalkulator {
  private double tall1;
  private double tall2;

  public Kalkulator(double startTall1, double startTall2) {
    tall1 = startTall1;
    tall2 = startTall2;
  }

  public double finnTall1() {
    return tall1;
  }

  public double finnTall2() {
    return tall2;
  }

  public void settTall(double nyttTall1, double nyttTall2) {
    tall1 = nyttTall1;
    tall2 = nyttTall2;
  }

  public double beregnSum() {
    return tall1 + tall2;
  }

  public double beregnDifferanse() {
    return tall1 - tall2;
  }

  public double beregnProdukt() {
    return tall1 * tall2;
  }

  /* Divisjon med null gir flgende resultat:
   * Bde teller og nevner 0: Resultat: Double.NaN ("not-a-number")
   * Bare nevner 0: Resultat: Double.NEGATIVE_INFINITY eller
   *                          Double.POSITIVE_INFINITY.
   * Dette er klassekonstanter i klassen java.lang.Double.
   */
  public double beregnKvotient() {
    return tall1 / tall2;
  }

  public String toString() {
    return "Tall 1 : " + tall1 + ", tall 2: " + tall2;
  }
}