/*
 * TestKalkulator2.java   E.L. 2004-03-19
 *
 * Programmet leser inn to tall, lager et kalkulator-objekt (se programliste 5.1),
 * og lar brukeren velge mellom addisjon, subtraksjon, multiplikasjon og
 * divisjon. Regnestykket og resultatet skrives ut.
 */

import static javax.swing.JOptionPane.*;
class TestKalkulator2 {
  public static void main(String[] args) {

    /* Innlesing av data */
    String tall1Lest = showInputDialog("Frste tall: ");
    String tall2Lest = showInputDialog("Andre tall: ");
    double tall1 = Double.parseDouble(tall1Lest);
    double tall2 = Double.parseDouble(tall2Lest);
    String[] muligheter = {"pluss", "minus", "gange", "dele"};
    /* Valgboksen er vist til venstre p figur 5.7 */
    int valg = showOptionDialog(null, "Velg operator", "Fire regneoperasjoner",
                         0, PLAIN_MESSAGE, null, muligheter, muligheter[0]);

    /* Beregninger */
    Kalkulator kalkus = new Kalkulator(tall1, tall2);
    double svar = 0.0;
    char operator = ' ';  // bruker denne i resultatutskriften
    boolean ok = true;
    if (valg == 0) {
      operator = '+';
      svar = kalkus.beregnSum();
    } else if (valg == 1) {
      svar = kalkus.beregnDifferanse();
      operator = '-';
    } else if (valg == 2) {
      svar = kalkus.beregnProdukt();
      operator = '*';
    } else if (valg == 3) {
      operator = '/';
      if (tall2 == 0.0) ok = false;  // m unng divisjon med 0
      else svar = kalkus.beregnKvotient();
    } else { // Esc er trykket, eller dialogen er lukket
      ok = false;
    }

    /* Utskrift av resultatet */
    String resultat;
    if (ok) resultat = tall1 + " " + operator + " " + tall2 + " = " + svar;
    else resultat = "Kan ikke beregne resultat.";
    showMessageDialog(null, resultat);
  }
}
/* Kjre-eksempler:

Frste tall: 12.5
Andre tall: 3.56
Velger operasjonen "gange"
Resultatutskrift: 12.5 * 3.56 = 44.5

Frste tall: 12.5
Andre tall: 0.0
Velger operasjonen "dele"
Resultatutskrift: Kan ikke beregne resultat.
*/