/*
 * BeleggKlient.java   E.L. 2004-02-15
 *
 * Enkel testklient for klassen Belegg.
 * Finner hvor mange meter vegg-til-vegg-teppe som trengs for  dekke Berits golv (
 * 5 x 6 meter). Finner ogs ut hva det koster. Teppet er 5 meter bredt,
 * og det koster kr 243,50 pr meter.
 */

class BeleggKlient {
  public static void main(String[] args) {
    Flate flaten = new Flate("Berits golv", 5, 6);
    System.out.println(flaten.toString());
    Belegg belegget = new Belegg("Vegg-til-vegg teppe", 243.50, 5);
    System.out.println(belegget.toString());

    /* Samarbeid mellom belegg- og flate-objektet for  finne antall meter og pris */
    double antMeter = belegget.finnAntMeter(flaten);
    double pris = belegget.finnTotalpris(flaten);
    java.text.DecimalFormat utskriftFormat = new java.text.DecimalFormat("####0.00");
    System.out.println("Berit trenger " + utskriftFormat.format(antMeter)
                     + " meter, pris kr " + utskriftFormat.format(pris) + ".");
  }
}

/* Kjring av programmet:
Flate: Berits golv, bredde: 6,00 m, lengde: 5,00 m.
Belegg: Vegg-til-vegg teppe, pris kr 243,50 pr. m, bredde: 5,00 m.
Berit trenger 6,00 meter, pris kr 1461,00.
*/