/*
 * TestStudent1.java    E.L. 2004-03-20
 *
 * Filen inneholder to klasser:
 *
 * Student med attributter navn og fdselsdato. Eksemplet skal vise behovet
 * for  splitte navn i fornavn og etternavn.
 *
 * TestStudent1: Enkel testklient.
 */

class Student {
  private String navn;
  private int fdato;  // mmdd

  public Student(String startNavn, int startFdato) {
    navn = startNavn;
    fdato = startFdato;
  }

  public String finnNavn() {
    return navn;
  }

  public int finnFdato() {
    return fdato;
  }

  /* Antar at etternavnet er siste "ord" i navnet */
  public String finnEtternavn() {
    int sisteBlanke = navn.lastIndexOf(' ');
    String etternavn = navn.substring(sisteBlanke + 1);
    return etternavn;
  }

  public void settEtternavn(String nyttEtternavn) {
    int sisteBlanke = navn.lastIndexOf(' ');
    String framTilEtternavn = navn.substring(0, sisteBlanke);
    navn = framTilEtternavn + " " + nyttEtternavn;
  }

  public String toString() {
    return "Navn: " + navn + ", fdselsdato: " + fdato;
  }
}

class TestStudent1 {
  public static void main(String[] args) {
    Student studenten = new Student("Ole Andreas Thomassen", 19801010);
    String etternavn = studenten.finnEtternavn();
    System.out.println("Fullt navn: " + studenten.toString() +
                       "\nEtternavn fr endring: " + etternavn);
    String nyttNavn =
      javax.swing.JOptionPane.showInputDialog("Nytt etternavn: ");
    studenten.settEtternavn(nyttNavn);
    etternavn = studenten.finnEtternavn();
    System.out.println("Fullt navn: " + studenten.toString() +
                       "\nEtternavn etter endring: " + etternavn);
   }
}

/* Kjring (leser inn "Hansen" som nytt etternavn)
Fullt navn: Navn: Ole Andreas Thomassen, fdselsdato: 19801010
Etternavn fr endring: Thomassen
Fullt navn: Navn: Ole Andreas Hansen, fdselsdato: 19801010
Etternavn etter endring: Hansen
*/