/*
 * TabellListeAvTall.java  E.L. 2004-02-15
 *
 * Et program med samme funksjonalitet som programliste 9.1,
 * men her er det desimaltall som leses inn og lagres i tabell-listen.
 */

import java.util.ArrayList;
import static javax.swing.JOptionPane.*;

class TabellListeAvTall {
  public static void main(String[] args) {
    ArrayList<Double> tallene = new ArrayList<Double>();

    /* Leser inn og lagrer tallene i tabell-listen */
    String tallLest = showInputDialog("Oppgi et tall (avslutt med blank): ");
    while (!tallLest.equals("")) {
      double tall = Double.parseDouble(tallLest);
      tallene.add(tall); // egentlig: tallene.add(new Double(tall));
      tallLest = showInputDialog("Oppgi et tall (avslutt med blank): ");
    }

    /* Viser alle tallene i tabell-listen. Summerer dem. */
    System.out.print("Finner flgende tall: ");
    double sum = 0;
    for (double etTall : tallene) {  // utvidet for-lkke
      sum += etTall;
      System.out.print(etTall + " ");
    }
    System.out.println("\nSummen av tallene er " + sum + ".");
  }
}

/* Eksempel p kjring (leser inn tre tall: 2.7 4.5 1.0):

Finner flgende tall: 2.7 4.5 1.0
Summen av tallene er 8.2.
*/