<!--
    RestaurantEvaluation.jsp   E.L. 2002-05-31

    Denne jsp-filen aktiviseres av RestaurantEvaluation.html. Den henter data 
    som er lagt inn i feltene der, og skriver disse til en tekstfil. Nye 
    evalueringer skrives etter dem som ligger der fra fr.
-->

<%@ page import="java.io.*" %>
<%! String relFilnavn = "EvalRest.txt"; %>
  
<%--
    En hjelpemetode som setter sammen en tabell av strenger til n streng
--%>
<%!
String lagEnTekst(String[] verdier) {
  String tekst = "";
  if (verdier != null) {
    for (int i = 0; i < verdier.length - 1; i++) tekst += verdier[i] + ", ";
    tekst += verdier[verdier.length - 1];
  }
  return tekst;
}
%>

<%
  if (request.getParameter("Send") != null) {
    String filnavn = application.getRealPath(relFilnavn);
    String utskrift = 
      "Restaurant: " + request.getParameter("navnSpisested") + "\n" +
      "Fornyd med: " +  lagEnTekst(request.getParameterValues("fornoyd")) + "\n" +
      "Ikke fornyd med: " + lagEnTekst(request.getParameterValues("ikkeFornoyd")) + "\n" +
      "Gjesten spiste: " +  request.getParameter("matrett") + "\n" +
      "Kommentarer: " + request.getParameter("kommentarer") + "\n" +
      "Kjnn: " + request.getParameter("kjonn") + "\n" +
      "Alder: " + request.getParameter("alder") + "\n" +
      "**************************************************************" + "\n" + "\n";
      
  /* Skriver til fil. 
   * Det er viktig  skrive ut alt i en enkelt
   * print()-setning. Dette for at andre klienter ikke skal komme innimellom. 
   * Dersom du har installert Tomcat som forklart i delkapittel 21.2,
   * vil du finne datafilen i katalogen ...webApps/ROOT. 
   */
    
    String fileName = application.getRealPath(relFilnavn);
    
    FileWriter skriveforbTilFil = new FileWriter(filnavn, true);
    PrintWriter skriver = new PrintWriter(new BufferedWriter(skriveforbTilFil));
    skriver.print(utskrift);  
    skriver.close();
    
    out.println("<P>Din evaluering er lagret");
  } 
%>

<%--
Etter n evaluering kan datafilen inneholde:

Restaurant: Cecilie Mat og Vinkjeller
Fornyd med: mat, beliggenhet
Ikke fornyd med: pris
Gjesten spiste: Entrecote og Husets is
Kommentarer: Nyydelig mat, 
men likevel: noget stive priser.
Kjnn: kvinne
Alder: tjue
**************************************************************
--%>