<!--
    TestSesjon.jsp  E.L. 2003-06-26
    Presenterer data om sesjonen.
    Gir brukeren muligheten til  skrive inn nye sesjonsattributter.
    Disse behandles av filen LagreSesjonsdata.jsp.
-->   

<html><head><title>Sesjons-test</title></head>
<body bgcolor="wheat" text="darkgreen" 
 link="brown" vlink="steelblue" alink="darkblue">
<%@ page import="java.util.*" %>
<h2>Data om denne sesjonen</h2>
<p>
<br>Tidspunkt for opprettelse: <%= new Date(session.getCreationTime())%>
<br>Sesjonsid.: <%= session.getId()%>
<br>Maks. intervall uten aktivitet: 
    <%= session.getMaxInactiveInterval()%> sekunder
<% 
   if (session.isNew()) out.println("<br>Sesjonen er ny");
   else {
     Date sistAksessert = new Date(session.getLastAccessedTime());
     out.println("<br>Sesjonen ble sist aksessert " + sistAksessert);
     if (request.isRequestedSessionIdFromCookie()) {
       out.println("<br>Sesjonsid. kom fra klienten som cookie.");
     }
     if (request.isRequestedSessionIdFromURL()) {
       out.println("<br>Sesjonsid. kom fra klienten som del av URL.");
     }
   }

  Enumeration attributeNames = session.getAttributeNames();
  if (!attributeNames.hasMoreElements()) out.println("<br>Ingen attributter");
  else {
    out.println("<p>Attributter:");
    while (attributeNames.hasMoreElements()) {
      String name = (String) attributeNames.nextElement();
      out.println("<br>Navn: " + name + ", verdi: " + session.getAttribute(name));
    }
  }  
%>

<h3>Registrer nye data som skal lagres i sesjonen</h3>
<form action="<%=response.encodeURL("LagreSesjonsdata.jsp")%>" 
      method="post">
  <table>
    <tr>
      <td align = left>Datanavn:</td> 
      <td align = left><input type = "text" name = "navn" size = "20"></td>
    </tr><tr>
      <td align = left>Verdi:</td>
      <td align = left><input type = "text" name = "verdi" size = "20"></td>
    </td>    
  </table>
<p>  
<input type="submit" name="lagre" value="Lagre nye data">
<input type="submit" name="slett" value="Slett sesjon">
<input type="reset">
</form>   
</body><html>