/*
 * TestFargeknappVindu.java  E.L. 2004-02-15
 *
 * Filen inneholder tre klasser:
 * FargeknappVindu: Et vindu med en knapp som endrer farge nr man trykker p den
 * Knappelytter: Hndterer den hendelsen at brukeren trykker p knappen
 * TestFargeknappVindu: main()-metode som viser fram vinduet
 */

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

class FargeknappVindu extends JFrame {
  public FargeknappVindu(String tittel) {
    setTitle(tittel);
    setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);

    setLayout(new FlowLayout());
    JButton knapp = new JButton("Trykk her");
    knapp.setBackground(Color.blue); // startfargen
    add(knapp);
    Knappelytter knappelytteren = new Knappelytter(knapp);
    knapp.addActionListener(knappelytteren);
    pack();
  }
}

class Knappelytter implements ActionListener {
  private JButton knapp;

  public Knappelytter(JButton startKnapp) {
    knapp = startKnapp;
  }

  public void actionPerformed(ActionEvent hendelse) {
    Color farge = knapp.getBackground();
    if (farge == Color.red) knapp.setBackground(Color.blue);
    else knapp.setBackground(Color.red);
  }
}

class TestFargeknappVindu {
  public static void main(String[] args) {
    FargeknappVindu etVindu = new FargeknappVindu("Et vindu med en knapp");
    etVindu.setVisible(true);
  }
}