/*
 * Hjelpemeny.java    E.L.2004-09-08
 *
 * Beskriver menyen oppe til hyre i OppussingKap15GUI.
 */

enum Hjelpemeny {
  valgHjelp("Hjelp", 'H',
            "Dette er et program som beregner materialbehov og priser\n"
          + "for oppussing av mange flater med forskjellige materialtyper.\n"
          + "Flater og materialer registreres hver for seg.\n"
          + "Bruk knapperaden eller menyen.\n"
          + "En hvilken som helst flate kan kombineres med et hvilket som\n"
          + "helst materiale. Oversikt over materialbehov og kostnader for\n"
          + "hver enkelt flate og ogs totalsummen for hele prosjektet\n"
          + "oppdateres kontinuerlig.\n"
          + "Desimalskille (komma eller punktum) flger oppsettet p maskinen."),
  valgOmProgr("Om programmet ...", 'O',
              "Dette programmet er en utgave av et gjennomgende eksempel\n"
          + "i lreboka \"Programmering i Java\", skrevet av\n"
          + "Else Lervik og Vegard Havdal, TISIP, Trondheim.\n"
          + "Boka er et samarbeidsprosjekt mellom TISIP og Gyldendal Akademisk.");

  public static final String menynavn = "Hjelp";
  public static final char menynavnMnemonic = 'H';  // tastaturalternativ

  private String tekst;
  private char mnemonic;
  private String innhold;

  private Hjelpemeny(String startTekst, char startMnem, String startInnhold) {
    tekst = startTekst;
    mnemonic = startMnem;
    innhold = startInnhold;
  }

  public String toString() {
    return tekst;
  }

  public char finnMnemonic() {
    return mnemonic;
  }

  public String finnInnhold() {
    return innhold;
  }

  public static Hjelpemeny finnValg(String tekst) {
    for (Hjelpemeny valg : Hjelpemeny.values()) {
      if (valg.toString().equals(tekst)) return valg;
    }
    return null; // skal ikke komme hit
  }
}