/*
 * KnappeInfo.java    E.L.2004-09-08
 *
 * Informasjon som knyttes til knappene i knapperaden i OppussingKap15GUI.
 */

enum KnappeInfo {
  Flate("Registrer ny flate (golv eller vegg)", 'F', "NyFlate.gif"),
  Maling("Registrer ny malingstype", 'M', "NyMaling.gif"),
  Belegg("Registrer ny type belegg", 'B', "NyttBelegg.gif"),
  Tapet("Registrer ny type tapet", 'T', "NyTapet.gif"),
  Kombiner("Kombiner flate og materiale", 'K', "Kombiner.gif"),
  Avslutt("Avslutt programmet", 'A', "Avslutt.gif");

  private String beskrivelse;  // tooltip
  private String ikonfil;
  private char mnemonic;

  private KnappeInfo(String startBesk, char startMnem, String startIkonfil) {
    beskrivelse = startBesk;
    mnemonic = startMnem;
    ikonfil = startIkonfil;
  }

  public String finnBeskrivelse() {
    return beskrivelse;
  }

  public String finnIkonfil() {
    return ikonfil;
  }

  public char finnMnemonic() {
    return mnemonic;
  }
}