/*
 * TallskurSynk.java VBH 2004-09-17
 *
 * Eksemplet demonstrerer synkronisering gjennom  sikre at trder
 * skriver en rekke tall i rett rekkeflge.
 *
 * Filen inneholder tre klasser:
 * SekvensSkriver: Et objekt som skriver en tallsekvens
 * Tallskriver: Trd som benytter en SekvensSkriver
 * TallskurSynk: Programmet som lager og kjrer trdene
 */

class SekvensSkriver {

  public void skrivSekvens() {
    System.out.print("1 ");
    System.out.print("2 ");
    System.out.print("3 ");
    System.out.print("4 ");
    System.out.print("5 ");
  }
}

class Tallskriver extends Thread {
  private SekvensSkriver skriveren;

  public Tallskriver(SekvensSkriver skriver) {
    skriveren = skriver;
  }

  public void run() {
    while (true) {
      skriveren.skrivSekvens();
    }
  }
}

class TallskurSynk {
  public static void main(String[] args) {
    SekvensSkriver enSkriver = new SekvensSkriver();
    Tallskriver skriver1 = new Tallskriver(enSkriver);
    Tallskriver skriver2 = new Tallskriver(enSkriver);
    Tallskriver skriver3 = new Tallskriver(enSkriver);
    Tallskriver skriver4 = new Tallskriver(enSkriver);
    Tallskriver skriver5 = new Tallskriver(enSkriver);
    skriver1.start();
    skriver2.start();
    skriver3.start();
    skriver4.start();
    skriver5.start();
  }
}


