/*
 * BinaertSoekeTre.java VBH 2000-02-25
 *
 * Klasse for et binrt sketre
 *
 */

class BinaertSoekeTre {
  private SubTre rot;

  public String toString() {
    if (rot != null) {
      return rot.toString();
    } else {
      return null;
    }
  }

  /*
   * For hver gang vi skal sette inn en verdi, m vi sjekke om det er
   * noe i treet fra fr. Det er ikke s elegant.
   */
  public void settInnVerdi(int verdi) {
    if (rot != null) {
      rot.settInnVerdi(verdi);
    } else {
      rot = new SubTre(verdi, null);
    }
  }

  /* Returnerer true dersom verdien finnes i treet */
  public boolean skEtterVerdi(int skeVerdi) {
    if (rot == null) return false;
    return rot.skEtterVerdi(skeVerdi);
  }
}

