/*
 * NavneElement.java VBH 2000-02-16
 *
 * Klassen skal vre et element i en enkeltlenket liste som inneholder
 * noen navn.
 *
 */

class NavneElement {
  private NavneElement neste;
  private String navn;

  public NavneElement(String startNavn) {
    navn = startNavn;
  }

  public NavneElement(String startNavn, NavneElement startNeste) {
    navn = startNavn;
    neste = startNeste;
  }

  public String finnNavn() {
    return navn;
  }

  public NavneElement finnNeste() {
    return neste;
  }

  public void settNavn(String nyttNavn) {
    navn = nyttNavn;
  }

  public void settNeste(NavneElement nyNeste) {
    neste = nyNeste;
  }
}
