/*
 * TreeMapTest.java   EL 2004-03-01
 *
 * Demonstrasjon av TreeMap.
 * Nkkelverdiene er nodene i treet i figur 17.11.
 * Dataverdiene er vilkrlige navn.
 *
 */

import java.util.*;

class TreeMapTest {
  public static void main(String[] args) {
    TreeMap<Integer, String> treEksempel = new TreeMap<Integer, String>();
    treEksempel.put(15, "Ole");
    treEksempel.put(10, "Ingrid");
    treEksempel.put(28, "se");
    treEksempel.put(3, "Beate");
    treEksempel.put(14, "Tove");
    treEksempel.put(20, "Petter");
    treEksempel.put(16, "Anders");
    treEksempel.put(21, "Toril");

    System.out.println("Innholdet i treet: " + treEksempel.toString());
    String test = treEksempel.get(11);
    if (test == null ) System.out.println("11 finnes ikke");
    else System.out.println("11 finnes: " + test);

    test = treEksempel.get(10);
    if (test == null ) System.out.println("10 finnes ikke");
    else System.out.println("10 finnes: " + test);

    System.out.println("Laveste nkkelverdi: " + treEksempel.firstKey());
    System.out.println("Hyeste nkkelverdi: " + treEksempel.lastKey());
  }
}

/*
Innholdet i treet: {3=Beate, 10=Ingrid, 14=Tove, 15=Ole, 16=Anders, 20=Petter, 2
1=Toril, 28=se}
11 finnes ikke
10 finnes: Ingrid
Laveste nkkelverdi: 3
Hyeste nkkelverdi: 28
*/
