/*
 * Suspekt.java VBH 2004-02-26
 *
 * Applet som prver  skade en viktig fil, config.sys, p maskinen
 * der nettleseren kjrer
 *
 * Filen inneholder to klasser:
 * Suspekt: Selve appleten
 * Tegning: Tegneflaten til appleten
 */

import javax.swing.*;
import java.awt.*;
import java.io.*;

public class Suspekt extends JApplet {
  private RandomAccessFile filSomSkalSkades;

  public void init() {
    add(new Tegning());
    try {
      filSomSkalSkades = new RandomAccessFile("C:\\config.sys", "rw");
    }
    catch (Exception e) {
      System.out.println(e.toString());
    }
    try {
      filSomSkalSkades.writeChars("Den suspekte appleten har vrt her!");
    }
    catch (Exception e) {
      System.out.println(e.toString());
    }
  }
}

class Tegning extends JPanel {
    public void paintComponent(Graphics g) {
      super.paintComponent(g);
      g.drawString("Dette er appleten, se etter feilmeldinger i Java console.", 5, 50);
  }
}

/*
Typisk utskrift i Java console:

java.security.AccessControlException: access denied (java.io.FilePermission C:\config.sys write)
java.lang.NullPointerException
*/
