/*
 * Medlem.java   E.L. 2002-10-12
 *
 * Et interface til et medlemsobjekt. Bruker klassen Person i mittBibliotek.
 */
 
import java.rmi.*;
import mittBibliotek.Person;

interface Medlem extends Remote {
  Person finnPerson() throws RemoteException;
  void settPerson(Person nyPerson) throws RemoteException;
  String finnAdresse() throws RemoteException;
  void settAdresse(String nyAdresse) throws RemoteException;
}

interface Medlemsfabrikk extends Remote {
  Medlem lagMedlem(Person startPerson, String startAdresse) 
                                       throws RemoteException;
}