/*
 * PreparedStmtTest.java   E.L. 2004-04-01
 *
 * Viser eksempel p bruk av ferdigkompilerte SQL-setninger
 */

import static javax.swing.JOptionPane.*;
import java.sql.*;
class PreparedStmtTest {
  public static void main(String[] args) throws Exception {
    String databasedriver = "oracle.jdbc.driver.OracleDriver";
    Class.forName(databasedriver);
    String brukernavn = showInputDialog("Brukernavn: ");
    String passord = showInputDialog("Passord: ");
    String dbNavn = "jdbc:oracle:thin:@baron.stud.idb.hist.no:1521:orcl";
    Connection forbindelse = DriverManager.getConnection(dbNavn, brukernavn, passord);
    String sqlSetning =
      "select * from person where fornavn like upper(?) and etternavn like upper(?)";
    PreparedStatement setning = forbindelse.prepareStatement(sqlSetning);

    String kritForn = showInputDialog("Skekriterium fornavn (avslutt med trykk Escape):");
    while (kritForn != null) {
      String kritEttern = showInputDialog("Skekriterium etternavn: ");
      setning.setString(1, kritForn.trim());
      setning.setString(2, kritEttern.trim());
      System.out.println("\nSkekriteriene er " + kritForn + " " + kritEttern + ".");

      ResultSet res = setning.executeQuery();
      while (res.next()) {
        int nr = res.getInt("persnr");
        String fornavn = res.getString("fornavn");
        String etternavn = res.getString("etternavn");
        System.out.println(fornavn + " " + etternavn);
      }
      res.close();
      kritForn = showInputDialog("Skekriterium fornavn (avslutt med trykk Escape):");
    }
    setning.close();
    forbindelse.close();
  }
}

/* Utskrift fra programmet:
Skekriteriene er % h%.
JONNY HANSEN
OLE HANSEN

Skekriteriene er % %.
ANNE GRETHE S
JONNY HANSEN
OLE HANSEN

Skekriteriene er ___ h%.
OLE HANSEN
*/