/*
 * KontoTest.java  E.L. 2002-06-10
 *
 */
class Konto {
  private long kontonr;
  private String navn;
  private double saldo;  

  public Konto(long startKontonr, String startNavn, double startSaldo) {
    kontonr = startKontonr;
    navn = startNavn;
    saldo = startSaldo;
  }

  public long finnKontonr() {
    return kontonr;
  }

  public double finnSaldo() {
    return saldo;
  }

  public String finnNavn() {
    return navn;
  } 
 
  public void innskudd(double belp) {
    saldo = saldo + belp;
  }
  
  public void uttak(double belp) {
    saldo = saldo - belp;
  }  
}

class KontoTest {
  public static void main(String[] args) {
    Konto olesKonto = new Konto(123456676756L, "Ole Olsen", 2300.50);
    olesKonto.innskudd(1000.0);  
    double saldo = olesKonto.finnSaldo();
    System.out.println("Etter innskudd er saldoen lik " + saldo);    
  }
}
/* Utskrift:
Etter innskudd er saldoen lik 3300.5
*/
