/*
 * TestKalkulator1.java   E.L. 2004-03-17
 *
 * Programmet leser inn to tall, lager et kalkulator-objekt (se programliste 5.1),
 * og lar brukeren velge om han vil legge tallene sammen eller trekke fra.
 * Regnestykket og resultatet skrives ut.
 */

import static javax.swing.JOptionPane.*;
class TestKalkulator1 {
  public static void main(String[] args) {

    /* Innlesing av data */
    String tall1Lest = showInputDialog("Frste tall: ");
    String tall2Lest = showInputDialog("Andre tall: ");
    double tall1 = Double.parseDouble(tall1Lest);
    double tall2 = Double.parseDouble(tall2Lest);
    int svar = showConfirmDialog(null, "Skal tallene legges sammen? ",
                                       "Kalkulator", YES_NO_OPTION);

    /* Beregning av resultater */
    Kalkulator kalkus = new Kalkulator(tall1, tall2);
    double beregnetSvar;
    char operator;
    if (svar == YES_OPTION) { // Yes er trykket
      beregnetSvar = kalkus.beregnSum();
      operator = '+';
    } else { // No eller Esc er trykket, eller dialogen er lukket
      beregnetSvar = kalkus.beregnDifferanse();
      operator = '-';
    }

    /* Utskrift av resultater */
    String resultat = "Vi beregner: " + kalkus.finnTall1() + " " +
                          operator + " " + kalkus.finnTall2();
    resultat += "\nSvaret er " + beregnetSvar;
    showMessageDialog(null, resultat);
  }
}

/*
Eksempel p kjring, se figur 5.4.
*/