/*
 * TestJaNeiTeller.java   E.L. 2004-03-19
 *
 * Programmet gr i lkke og lar brukeren registrere antall ja-stemmer og
 * antall nei-stemmer. Til slutt skrives totalt antall stemmer av hver type ut.
 * Programmet bruker klassen JaNeiTeller fra programliste 4.3.
 */

import static javax.swing.JOptionPane.*;
class TestJaNeiTeller {
  public static void main(String[] args) {
    int antall = 0;
    String inputLogg = ""; // tar vare p alle inndata
    JaNeiTeller tellemaskin = new JaNeiTeller();
    do {
      String antallLest = showInputDialog("Antall stemmer" +
            "\nPositivt tall = ja-stemmer, negativt = nei, 0 = avslutt: ");
      inputLogg += "\nLest antall: " + antallLest;
      antall = Integer.parseInt(antallLest);
      if (antall > 0) tellemaskin.kAntallJa(antall);
      else if (antall < 0) tellemaskin.kAntallNei(-antall);
    } while (antall != 0);

    showMessageDialog(null, inputLogg + "\n\nDet ble " + tellemaskin.finnAntallJa() +
                     " ja-stemmer og " + tellemaskin.finnAntallNei() + " nei-stemmer.");
  }
}

/* Eksempel p utskrift av resultat.
   Tallene 23, -56, 101, 24 og 0 er lest inn.

Lest antall: 23
Lest antall: -56
Lest antall: 101
Lest antall: 24
Lest antall: 0

Det ble 148 ja-stemmer og 56 nei-stemmer.
*/