/*
 * FlateKlient.java   E.L. 2004-02-15
 *
 * Enkel testklient for klassen Flate.
 */

class FlateKlient {
  public static void main(String[] args) {
    Flate flaten = new Flate("Berits golv", 5, 6);
    System.out.println(flaten.toString());
    double areal = flaten.finnAreal();
    double omkrets = flaten.finnOmkrets();
    java.text.DecimalFormat utskriftFormat = new java.text.DecimalFormat("####0.00");
    System.out.println("Areal: " + utskriftFormat.format(areal) + " kvadratmeter.\n" +
                       "Omkrets: " + utskriftFormat.format(omkrets) + " meter.");
  }
}

/* Utskrift:
Flate: Berits golv, bredde: 6,00 m, lengde: 5,00 m.
Areal: 30,00 kvadratmeter.
Omkrets: 22,00 meter.
*/