/*
 * TestStudent2.java    E.L. 2004-03-20
 *
 * Filen inneholder to klasser:
 *
 * Student med attributt navn og fdato. Klassen Navn brukes kun internt i
 * denne klassen. Klienter forholder seg til strenger og primitive datatyper.
 *
 * TestStudent2: Enkel testklient.
 */

import static javax.swing.JOptionPane.*;
class Student {
  private Navn navn;
  private int fdato;

  public Student(String startFornavn, String startEtternavn, int startFdato) {
    navn = new Navn(startFornavn, startEtternavn);
    fdato = startFdato;
  }

  public int finnFdato() {
    return fdato;
  }

  public String finnFornavn() {
    return navn.finnFornavn();
  }

  public String finnEtternavn() {
    return navn.finnEtternavn();
  }

  public void settFornavn(String nyttFornavn) {
    navn.settFornavn(nyttFornavn);
  }

  public void settEtternavn(String nyttEtternavn) {
    navn.settEtternavn(nyttEtternavn);
  }

  public String toString() {
    return navn + ", fdt: " + fdato;
  }
}

class TestStudent2 {
  public static void main(String[] args) {
    Student studenten = new Student("Ole Andreas", "Thomassen", 19801010);
    showMessageDialog(null, "Studenten heter " + studenten.finnFornavn() +
                                           " " + studenten.finnEtternavn());
    String nyttFornavn = showInputDialog("Oppgi nytt fornavn: ");
    String nyttEtternavn = showInputDialog("Oppgi nytt etternavn: ");
    studenten.settFornavn(nyttFornavn);
    studenten.settEtternavn(nyttEtternavn);
    showMessageDialog(null, "Studenten heter n " + studenten.toString());
  }
}