/*
 * TabellListeAvNavn.java  E.L. 2004-02-15
 *
 * Et lite program som oppretter en tabell-liste.
 * Programmet gr i lkke og leser inn navn som legges i denne tabell-listen.
 * Lkken stopper nr tabellen er full eller brukeren har skrevet inn
 * et blankt (tomt) navn.
 * Programmet har samme funksjonalitet som programliste 7.8. Forskjellen
 * er at vi der bruker tabell, mens vi her bruker tabell-liste. Dette betyr
 * at det ikke er noen praktisk grense for hvor mye data som kan legges inn.
 */

import java.util.ArrayList;
import static javax.swing.JOptionPane.*;

class TabellListeAvNavn {
  public static void main(String[] args) {
    ArrayList<String> navnene = new ArrayList<String>(); // trenger ikke  tenke p strrelsen
    String navn = showInputDialog("Oppgi navn (avslutt med blank): ");
    navn = navn.trim();
    while (!navn.equals("")) {
      navnene.add(navn); // add() er en metode i klassen ArrayList
      navn = showInputDialog("Oppgi navn (avslutt med blank): ");
      navn = navn.trim();
    }

    /* Henter ut og skriver ut alle navnene ved  bruke en vanlig for-lkke. */
    for (int i = 0; i < navnene.size(); i++) {
      String detteNavnet = navnene.get(i);
      System.out.println(detteNavnet);
    }

    /* Henter ut og skriver ut alle navnene ved  bruke utvidet for-lkke. */
    for (String detteNavnet : navnene) {
      System.out.println(detteNavnet);
    }
  }
}