<!--
    PersonTabell.jsp  E.L. 2005-03-16
    Henter ut data fra person-tabellen, som er laget slik:
        create table person(
           persnr    integer primary key, 
           fornavn   varchar(30) not null,
           etternavn varchar(30) not null);
    Databasenavn, driver, brukernavn og passord m tilpasses det
    databasesystemet du bruker.
-->   

<html><head><title>Enkel databasetest</title></head><body>

<font size="+2">Personer registrert i databasen</font>
<br><br>
<%@ page import="java.sql.*" %>
<table bgcolor="skyblue" border="1">
  <tr><th>Personnr</th><th>Fornavn</th><th>Etternavn</th></tr>
  <%
  Connection forbindelse = null;
  Statement setning = null;
  ResultSet resSet = null;
  try{
    String dbDriver = "oracle.jdbc.driver.OracleDriver";
    String dbNavn = "jdbc:oracle:thin:@oracle.stud.aitel.hist.no:1521:oracle";
    Class.forName(dbDriver);
    forbindelse = DriverManager.getConnection(dbNavn, "brukernavn", "passord");
    setning = forbindelse.createStatement();
    String sql = "select * from person";
    resSet = setning.executeQuery(sql);
    while (resSet.next()) {
      out.print("<tr><td>" + resSet.getString("persnr") + "</td>");
      out.print("<td>" + resSet.getString("fornavn") + "</td>");
      out.println("<td>" + resSet.getString("etternavn") + "</td></tr>");
    }
  } catch (Exception e) {
    out.print("Feil ved databasetilkobling/bruk: " + e);
  } finally {
    try {
      if (resSet != null) resSet.close();
    } catch (Exception e) {
      out.print("Feil ved lukking av resultatsett: " + e);        
    } finally {
      try {
        if (setning != null) setning.close();
      } catch (Exception e) {
        out.print("Feil ved lukking av setningsobjekt: " + e);
      } finally {
        try {
          if (forbindelse != null) forbindelse.close();
        } catch (Exception e) {
          out.print("Feil ved lukking av databseforbindelse: " + e);
        }           
      }
    }
  }  
  %>
</table>
</body></html>