/*
 * TellemaskinFront.java   E.L. 2004-10-11
 *
 * Dette er det grensesnittet som tjeneren tilbyr klientene.
 * For mer info. se implementasjonen TellemaskinFrontImpl.java.
 */

import java.rmi.*;
interface TellemaskinFront extends Remote {
  void registrerMeg(Klient klienten) throws RemoteException;
  void meldMegUt(Klient klienten) throws RemoteException;
  void kAntallJa() throws RemoteException;
  void kAntallNei() throws RemoteException;
  void kAntallJa(int kning) throws RemoteException;
  void kAntallNei(int kning) throws RemoteException;
  int finnAntallJa() throws RemoteException;
  int finnAntallNei() throws RemoteException;
}